<template>
  <div class="shape-item" @click="$emit('click')" :class="shape.name">
    <i v-if="shape.class" :class="shape.class"></i>
    <img v-else :src="`/markers/${shape.name}.svg`" :style="`transform: scale(${shape.size});`"></img>
    <div v-if="shape.iconInside !== false && circle" class="marker-circle" :style="{transform: shape.transform}"></div>
  </div>
</template>

<script>
export default {
  props: ['shape', 'circle']
}
</script>

<style lang='scss' scoped>
  .shape-item {
    display: flex;
    border-radius: 3px;
    justify-content: center;
    text-align: center;
    transform: scale(.8);
    &.waterdrop-thin .marker-circle {
      transform: scale(.9) translateY(4px);
    }
  }
  .shape-item:hover {
    cursor: pointer;
    background-color: #eee;
  }
  .shape-item i, .shape-item img {
    width: 50px;
    height: 50px;
    line-height: 50px;
    font-size: 50px;
    transform-origin: bottom;
    color: black;
  }
  .marker-circle {
    width: 32px;
    height: 32px;
    font-size: 22px;
    line-height: 34px;
    border-radius: 50%;
    background-color: #efededf2;
    position: absolute;
    transform: translateY(4px);
  }
</style>